Fetch Data from Cache
post
/data/fetch
Retrieves the specified data from your data set and sends it to the client.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
Input request parameters
Match All
Input request parameters
Input request parameters
Show Source
-
object
Extensible
Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
-
object
type
Nested Schema : Extensible
Type:
objectBase extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
Show Source
-
@baseType: string
Specifies the superclass while subclassing.
-
@schemaLocation: string
Provides a URI to the JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
When subclassing, specifies the extensible name of the subclass.
Nested Schema : type
Type:
Show Source
object-
additional_data: object
additional_data
Provides additional criteria used to filter the data.
-
required_data(required): array
required_data
Specifies the data to retrieve.
Nested Schema : additional_data
Type:
objectProvides additional criteria used to filter the data.
Examples
Back to Top
Response
200 Response
The request was completed successfully. If the system throws a runtime error, the response code 200 is returned alongside the error message in the response body.
Root Schema : schema
Type:
Show Source
array-
Array of:
object Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "FetchResponse":"#/components/schemas/FetchResponse" } }
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
Match All
Specifies the output returned by the operation.
Show Source
-
object
Extensible
Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
-
object
Discriminator: @type-allOf[1]
Specifies the output returned by the operation.
Nested Schema : Extensible
Type:
objectBase extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
Show Source
-
@baseType: string
Specifies the superclass while subclassing.
-
@schemaLocation: string
Provides a URI to the JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
When subclassing, specifies the extensible name of the subclass.
Nested Schema : Discriminator: @type-allOf[1]
Type:
objectSpecifies the output returned by the operation.
Show Source
-
data(required): object
data
Returns the data retrieved from storage.
Nested Schema : data
Type:
objectReturns the data retrieved from storage.
400 Response
The server received a bad request.
Root Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
Used when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Match All
Used when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
object
Extensible
Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
-
object
Discriminator: @type-allOf[1]
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Nested Schema : Extensible
Type:
objectBase extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
Show Source
-
@baseType: string
Specifies the superclass while subclassing.
-
@schemaLocation: string
Provides a URI to the JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
When subclassing, specifies the extensible name of the subclass.
Nested Schema : Discriminator: @type-allOf[1]
Type:
objectIndicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
code(required): string
Provides application-specific details, as defined by the API or a common list.
-
message: string
Provides additional error details and recommended corrective actions to display to the client user.
-
reason(required): string
Provides an explanation of the error to display to the client user.
-
referenceError: string
Provides a URI to documentation that describes the error.
-
status: string
Specifies the extended HTTP error code.
401 Response
The request is not authorized.
Root Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
Used when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Match All
Used when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
object
Extensible
Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
-
object
Discriminator: @type-allOf[1]
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Nested Schema : Extensible
Type:
objectBase extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
Show Source
-
@baseType: string
Specifies the superclass while subclassing.
-
@schemaLocation: string
Provides a URI to the JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
When subclassing, specifies the extensible name of the subclass.
Nested Schema : Discriminator: @type-allOf[1]
Type:
objectIndicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
code(required): string
Provides application-specific details, as defined by the API or a common list.
-
message: string
Provides additional error details and recommended corrective actions to display to the client user.
-
reason(required): string
Provides an explanation of the error to display to the client user.
-
referenceError: string
Provides a URI to documentation that describes the error.
-
status: string
Specifies the extended HTTP error code.
403 Response
The request is forbidden.
Root Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
Used when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Match All
Used when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
object
Extensible
Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
-
object
Discriminator: @type-allOf[1]
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Nested Schema : Extensible
Type:
objectBase extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
Show Source
-
@baseType: string
Specifies the superclass while subclassing.
-
@schemaLocation: string
Provides a URI to the JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
When subclassing, specifies the extensible name of the subclass.
Nested Schema : Discriminator: @type-allOf[1]
Type:
objectIndicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
code(required): string
Provides application-specific details, as defined by the API or a common list.
-
message: string
Provides additional error details and recommended corrective actions to display to the client user.
-
reason(required): string
Provides an explanation of the error to display to the client user.
-
referenceError: string
Provides a URI to documentation that describes the error.
-
status: string
Specifies the extended HTTP error code.
404 Response
The resource was not found.
Root Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
Used when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Match All
Used when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
object
Extensible
Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
-
object
Discriminator: @type-allOf[1]
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Nested Schema : Extensible
Type:
objectBase extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
Show Source
-
@baseType: string
Specifies the superclass while subclassing.
-
@schemaLocation: string
Provides a URI to the JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
When subclassing, specifies the extensible name of the subclass.
Nested Schema : Discriminator: @type-allOf[1]
Type:
objectIndicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
code(required): string
Provides application-specific details, as defined by the API or a common list.
-
message: string
Provides additional error details and recommended corrective actions to display to the client user.
-
reason(required): string
Provides an explanation of the error to display to the client user.
-
referenceError: string
Provides a URI to documentation that describes the error.
-
status: string
Specifies the extended HTTP error code.
405 Response
The method is not allowed.
Root Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
Used when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Match All
Used when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
object
Extensible
Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
-
object
Discriminator: @type-allOf[1]
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Nested Schema : Extensible
Type:
objectBase extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
Show Source
-
@baseType: string
Specifies the superclass while subclassing.
-
@schemaLocation: string
Provides a URI to the JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
When subclassing, specifies the extensible name of the subclass.
Nested Schema : Discriminator: @type-allOf[1]
Type:
objectIndicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
code(required): string
Provides application-specific details, as defined by the API or a common list.
-
message: string
Provides additional error details and recommended corrective actions to display to the client user.
-
reason(required): string
Provides an explanation of the error to display to the client user.
-
referenceError: string
Provides a URI to documentation that describes the error.
-
status: string
Specifies the extended HTTP error code.
409 Response
The server received a conflict.
Root Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
Used when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Match All
Used when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
object
Extensible
Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
-
object
Discriminator: @type-allOf[1]
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Nested Schema : Extensible
Type:
objectBase extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
Show Source
-
@baseType: string
Specifies the superclass while subclassing.
-
@schemaLocation: string
Provides a URI to the JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
When subclassing, specifies the extensible name of the subclass.
Nested Schema : Discriminator: @type-allOf[1]
Type:
objectIndicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
code(required): string
Provides application-specific details, as defined by the API or a common list.
-
message: string
Provides additional error details and recommended corrective actions to display to the client user.
-
reason(required): string
Provides an explanation of the error to display to the client user.
-
referenceError: string
Provides a URI to documentation that describes the error.
-
status: string
Specifies the extended HTTP error code.
500 Response
The system has received an Internal Server Error.
Root Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
Used when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Match All
Used when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
object
Extensible
Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
-
object
Discriminator: @type-allOf[1]
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Nested Schema : Extensible
Type:
objectBase extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
Show Source
-
@baseType: string
Specifies the superclass while subclassing.
-
@schemaLocation: string
Provides a URI to the JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
When subclassing, specifies the extensible name of the subclass.
Nested Schema : Discriminator: @type-allOf[1]
Type:
objectIndicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
code(required): string
Provides application-specific details, as defined by the API or a common list.
-
message: string
Provides additional error details and recommended corrective actions to display to the client user.
-
reason(required): string
Provides an explanation of the error to display to the client user.
-
referenceError: string
Provides a URI to documentation that describes the error.
-
status: string
Specifies the extended HTTP error code.
501 Response
The service was not implemented.
Root Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
Used when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Match All
Used when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
object
Extensible
Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
-
object
Discriminator: @type-allOf[1]
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Nested Schema : Extensible
Type:
objectBase extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
Show Source
-
@baseType: string
Specifies the superclass while subclassing.
-
@schemaLocation: string
Provides a URI to the JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
When subclassing, specifies the extensible name of the subclass.
Nested Schema : Discriminator: @type-allOf[1]
Type:
objectIndicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
code(required): string
Provides application-specific details, as defined by the API or a common list.
-
message: string
Provides additional error details and recommended corrective actions to display to the client user.
-
reason(required): string
Provides an explanation of the error to display to the client user.
-
referenceError: string
Provides a URI to documentation that describes the error.
-
status: string
Specifies the extended HTTP error code.
503 Response
The service is not available.
Root Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
Used when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Match All
Used when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
object
Extensible
Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
-
object
Discriminator: @type-allOf[1]
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Nested Schema : Extensible
Type:
objectBase extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
Show Source
-
@baseType: string
Specifies the superclass while subclassing.
-
@schemaLocation: string
Provides a URI to the JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
When subclassing, specifies the extensible name of the subclass.
Nested Schema : Discriminator: @type-allOf[1]
Type:
objectIndicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
code(required): string
Provides application-specific details, as defined by the API or a common list.
-
message: string
Provides additional error details and recommended corrective actions to display to the client user.
-
reason(required): string
Provides an explanation of the error to display to the client user.
-
referenceError: string
Provides a URI to documentation that describes the error.
-
status: string
Specifies the extended HTTP error code.
Examples
This example shows the cURL command for sending a Fetch Data request:
curl -X POST 'http://hostname:port/data/fetch' -H 'Content-Type: application/json' -d @file.json
where:
-
hostname is the host name of the application server.
-
port is the port for the application server.
-
file.json is the JSON file that specifies the data to fetch.
Example of the Request Body
The following sample shows the contents of the file.json file sent as the request body.
{
"@type": "FetchRequest",
"required_data": [
"account_data",
"over_usage_data",
"deal_data",
"purchased_product_data"
],
"additional_data": {
"account_id": "2479678",
"sample": true
}
}
Example of the Response Body
If successful, the response code 200 is returned with the following response body.
{
"@type": "FetchResponse",
"data": {
"data": [
{
"account_data": {
"account_id": "2479678"
},
"over_usage_data": [],
"deal_data": [],
"purchased_product_data": []
}
],
"status": "Successful"
}
}